For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
      • PUTAssociate repositories with projects
      • GETList repositories
      • DELRemove repository project association
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewInsights Repositories Beta

List repositories

GET
/api/v2/engineering-insights/repositories
GET
/api/v2/engineering-insights/repositories
$curl https://app.launchdarkly.com/api/v2/engineering-insights/repositories \
> -H "Authorization: <apiKey>"
1{
2 "totalCount": 1,
3 "items": [
4 {
5 "_id": "5f9a9b1a-5b9a-4b9a-9a9a-9a9a9a9a9a9a",
6 "version": 1,
7 "key": "launchdarkly/LaunchDarkly-Docs",
8 "type": "github",
9 "url": "https://github.com/launchdarkly/LaunchDarkly-Docs",
10 "mainBranch": "main",
11 "projects": {
12 "totalCount": 1,
13 "items": [
14 {
15 "_id": "57be1db38b75bf0772d11383",
16 "_links": {
17 "environments": {
18 "href": "/api/v2/projects/example-project/environments",
19 "type": "application/json"
20 },
21 "self": {
22 "href": "/api/v2/projects/example-project",
23 "type": "application/json"
24 }
25 },
26 "key": "project-key-123abc",
27 "name": "Example project"
28 }
29 ],
30 "_links": {}
31 }
32 }
33 ],
34 "_links": {}
35}
Get a list of repositories ### Expanding the repository collection response LaunchDarkly supports expanding the repository collection response to include additional fields. To expand the response, append the `expand` query parameter and include the following: * `projects` includes details on all of the LaunchDarkly projects associated with each repository For example, use `?expand=projects` to include the `projects` field in the response. By default, this field is **not** included in the response.
Was this page helpful?
Previous

Remove repository project association

Next
Built with

Get a list of repositories

Expanding the repository collection response

LaunchDarkly supports expanding the repository collection response to include additional fields.

To expand the response, append the expand query parameter and include the following:

  • projects includes details on all of the LaunchDarkly projects associated with each repository

For example, use ?expand=projects to include the projects field in the response. By default, this field is not included in the response.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

expandstringOptionalformat: "string"

Expand properties in response. Options: projects

Response

Repository collection response
totalCountinteger
Total number of repositories
itemslist of objects
List of repositories
_linksmap from strings to objects
The location and content type of related resources

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error